Subject: Re: [ippm] draft-trammell-ippm-hybrid-ps-00.txt

From: Brian Trammell <[email-masked]>
Date: Thu, 3 Jan 2013 08:58:30 +0100

Hi, Guangqing,

While I'm not sure that direct references to passive measurement techniques for IPPM metrics belong in _this_ draft -- which I'd intended mainly to outline the problem and how to go about solving it -- you're right that such techniques do need to be referenced and elaborated upon as part of this effort.

For information, there's a discussion of passive-measurement approximations for IPPM one-way and round-trip delay, delay variation, one-way loss, and connectivity in ETSI EG 202 765-3 (on which I was a co-author, and which Google tells me is presently available at http://www.etsi.org/deliver/etsi_eg/202700_202799/20276503/01.01.01_60/eg_20276503v010101p.pdf ) sections 4.x.5. While the definitions of the one-way (4.1.5) and round-trip (4.2.5) delay methods (on which the others are based) describe the errors inherent in the described passive measurement techniques, they do not quantify them, nor do they really formally describe the methods. 

I would expect that part of the work outlined in -hybrid-ps would be to more precisely define passive measurement methods for each of the set of identified metrics (and I'd definitely use the ones in the ETSI guide: RFCs 2678, 2679, 2680, 2681, and 3393, as a basis); these definitions would have to take into account (and ideally quantify) the error inherent in passive measurement due to observation point placement and uncertainty about the measured traffic.

Best regards,

Brian (as author of -hybrid-ps)

On Dec 25, 2012, at 2:10 AM, Guangqing Deng <[email-masked]> wrote:

> Hi, all, I’m new to this mailing list and I have a minor issue towards this draft, and forgive me if I missed something important. This draft discusses the hybrid measurement (namely coordinate active measurement and passive measurement for more accurate measurement results). While it seems that there are no references of passive measurement listed in this draft. Active measurement towards delay or packet loss can be easily understood, while passive measurement is difficult to understand, especially for new hand like me. I take a glance at the RFCs of IPPM but find no RFCs directly regarding passive measurement. Is it necessary to add some references of passive measurement in this draft?
>  
> Best regards!
> Guangqing Deng
> CNNIC 
>  
> From: Brian Trammell
> Date: 2012-12-04 19:04
> To: [email-masked]
> CC: Al Morton; [email-masked]
> Subject: Re: [ippm] draft-trammell-ippm-hybrid-ps-00.txt
> Hi, Emile,
>  
> Indeed, the metrics defined in 5644 could, after a fact, be another type of hybrid measurement, though the main idea behind hybrid-ps is the integration of pure-passive with active measurement (see earlier conversations on combined vs. concurrent hybrid [1]). The document in its present form was meant exactly to elicit these kind of comments, though. :) So while I'd not thought of it to date, absolutely, the document should cover this case as well.
>  
> Given my background on the passive side of things, I'm not as familiar with multicast measurements, but will have a deeper look at 5644 to see how it fits in with the hybrid measurement problem as stated.
>  
> Thanks, best regards,
>  
> Brian (wearing a contributor hat)
>  
> [1] http://www.ietf.org/mail-archive/web/ippm/current/msg02952.html
>  
> On 4 Dec 2012, at 10:39, <[email-masked]> wrote:
>  
> > Hi Brian,
> > 
> > The WG already worked on 'hybrid metrics'. RFC6444 defines spatial metrics based on end-to-end metrics defined in RFC2679 and RFC2680.
> > This RFC covers unicast and multicast. Do you envision covering multicast hybrid measurement too?
> > 
> > Regards
> > Emile
> > 
> > -----Message d'origine-----
> > De : [email-masked] [mailto:[email-masked]] De la part de Brian Trammell
> > Envoyé : lundi 15 octobre 2012 12:17
> > À : Al Morton
> > Cc : [email-masked]
> > Objet : Re: [ippm] draft-trammell-ippm-hybrid-ps-00.txt
> > 
> > Hi, Al, all,
> > 
> > Thanks for your comments; comments inline...
> > 
> > On Oct 13, 2012, at 3:43 PM, Al Morton wrote:
> > 
> >> At 04:38 AM 10/12/2012, Brian Trammell wrote:
> >>> I've just posted a very short draft on hybrid measurement, more a meta-requirements list and motivation than anything else, as a starting point for discussion at the Atlanta meeting.
> >> 
> >> Hi Brian,
> >> 
> >> I like the idea of specifying a framework for passive measurement in 
> >> the context of hybrid passive-active, because the comparisons between 
> >> the different techniques are quite useful. Your effort is well-timed 
> >> too, with both active and passive measurement requirements appearing 
> >> in the first draft of lmap requirements:
> >> http://tools.ietf.org/html/draft-schulzrinne-lmap-requirements-00
> >> With this obvious synergy, I look forward to discussing this in 
> >> Atlanta.
> > 
> > Yep... I specifically hope this work will prove useful in the context of the LMAP effort, by granting more flexibility to combine measurements from different sources.
> > 
> >> I noted one point to consider as you develop the specification:
> >> 
> >>> The proposed specification entails:
> >>> 
> >>> ...
> >>> 
> >>>  o  Definition of methods for spatial and temporal composition of
> >>>     active and passive metrics together allowing for estimated
> >>>     uncertainty.
> >> 
> >> One of IPPM's earlier projects updated and expanded RFC 2330 section 9
> >> http://tools.ietf.org/html/rfc2330#section-9
> >> and defined three forms of metric composition and aggregation in RFC 5835:
> >> http://tools.ietf.org/html/rfc5835#section-5
> >> 
> >> I think the definitions you seek above are what Steven and I called 
> >> spatial and temporal aggregation.
> > 
> > Indeed; well, I think this covers half of it. In the baseline-comparison case, temporal aggregation could be applied to the (passive) baseline in order to improve the fidelity of the baseline while reducing storage requirements. Then there's the comparison step I suppose you could also model as "subtractive aggregation"; I still don't really have a firm grasp on how these two operations work together.
> > 
> > You're right, though, in that what I really mean with this point is aggregation as defined in IPPM, not composition; will change in the next rev. 
> > 
> >> These are the two aspects that
> >> we didn't complete for active measurements (IPPM has a spec for 
> >> spatial composition of active measurements,
> >> http://tools.ietf.org/html/rfc6049 , where we mentioned passive 
> >> measurements at several appropriate points in a low-key overrun of 
> >> IPPM's active-only charter...).
> >> 
> >> Just pointing out the past work that might help the new effort!
> > 
> > Many thanks; I'd remembered the spatial composition work (and, IIRC, some initial work on temporal composition), but hadn't (re-) read yet to see what applies where.
> > 
> > Best regards,
> > 
> > Brian
> > 
> > 
> > _______________________________________________
> > ippm mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/ippm
> > 
> > _________________________________________________________________________________________________________________________
> > 
> > Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
> > pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
> > a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
> > France Telecom - Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.
> > 
> > This message and its attachments may contain confidential or privileged information that may be protected by law;
> > they should not be distributed, used or copied without authorisation.
> > If you have received this email in error, please notify the sender and delete this message and its attachments.
> > As emails may be altered, France Telecom - Orange is not liable for messages that have been modified, changed or falsified.
> > Thank you.
>  
> _______________________________________________
> ippm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ippm
> _______________________________________________
> ippm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ippm